## nbsphinx 0.2.9+ds

=== doc/requirements.txt ===
sphinx>=1.4
nbsphinx
ipykernel

=== debian/changelog ===
nbsphinx (0.2.9+ds-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 14:51:29 +0100

nbsphinx (0.2.9+ds-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch for latest sphinx version.

 -- Ximin Luo <infinity0@debian.org>  Wed, 30 Nov 2016 16:32:28 +0100

nbsphinx (0.2.9+ds-1) experimental; urgency=medium

  * Initial release (Closes: #838806).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 16 Oct 2016 03:37:54 +0000

=== debian/control ===
Source: nbsphinx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
Build-Depends-Indep: debhelper (>= 10),
                     dh-python,
                     libjs-mathjax,
                     pandoc,
                     python-all,
                     python-docutils,
                     python-entrypoints,
                     python-ipykernel,
                     python-jupyter-client,
                     python-nbconvert,
                     python-nbformat,
                     python-setuptools,
                     python-sphinx,
                     python3-all,
                     python3-docutils,
                     python3-entrypoints,
                     python3-ipykernel,
                     python3-jupyter-client,
                     python3-nbconvert,
                     python3-nbformat,
                     python3-setuptools,
                     python3-sphinx,
                     rdfind,
                     symlinks
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Homepage: http://nbsphinx.rtfd.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nbsphinx.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/nbsphinx.git

Package: python-nbsphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-nbsphinx-doc (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- Python
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This package installs the library for Python 2.

Package: python3-nbsphinx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-nbsphinx-doc (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- Python 3
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This package installs the library for Python 3.

Package: python-nbsphinx-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: www-browser
Enhances: python-nbsphinx (= ${source:Version}),
          python3-nbsphinx (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- doc
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nbsphinx

DEB_PKG_VERSION := $(shell dpkg-parsechangelog -S Version)
DEB_SRC_VERSION := $(firstword $(subst -, ,$(DEB_PKG_VERSION)))
UPS_PKG_VERSION := $(firstword $(subst +, ,$(DEB_SRC_VERSION)))
export NBSPHINX_VERSION_RELEASE ?= "$(UPS_PKG_VERSION) (Debian $(DEB_PKG_VERSION))"

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

DEB_SPHINXDOC_DOCHTMLDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx-doc/html
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc $(DEB_SPHINXDOC_DOCHTMLDIR)
	## lintian privacy-breach fix
	$(foreach htmlsed,$(wildcard $(CURDIR)/debian/adhoc/lintian/privacy-breach/*.html.sed), \
		sed -i -f $(htmlsed) $(DEB_SPHINXDOC_DOCHTMLDIR)/$(notdir $(patsubst %.sed,%,$(htmlsed))) $(NEWLINE)\
		)
	cp -vpr -t $(DEB_SPHINXDOC_DOCHTMLDIR) $(CURDIR)/debian/adhoc/lintian/privacy-breach/www
	## lintian duplicate-files fix
	rdfind -outputname /dev/null -makesymlinks true $(DEB_SPHINXDOC_DOCHTMLDIR)
	symlinks -r -c -s -v $(DEB_SPHINXDOC_DOCHTMLDIR)
	## cf Debian Bug report #739300
	ln -s /usr/share/javascript/mathjax $(DEB_SPHINXDOC_DOCHTMLDIR)/_static
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_compress:
	dh_compress -Xwww

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose


define NEWLINE


endef

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nbsphinx/nbsphinx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nbsphinx 0.3.1%2Bds

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=nbsphinx

export NBSPHINX_VERSION_RELEASE ?= "$(DEB_VERSION_UPSTREAM) (Debian $(DEB_VERSION))"

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

DEB_SPHINXDOC_DOCHTMLDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx-doc/html
DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src sphinx-build -b html doc $(DEB_SPHINXDOC_DOCHTMLDIR)
	## lintian privacy-breach fix
	$(foreach htmlsed,$(wildcard $(DEB_SPHINXDOC_HTMLSEDDIR)/*.html.sed), \
		sed -i -f $(htmlsed) $(DEB_SPHINXDOC_DOCHTMLDIR)/$(notdir $(patsubst %.sed,%,$(htmlsed))) $(NEWLINE)\
		)
	for html in $(DEB_SPHINXDOC_DOCHTMLDIR)/*.html $(DEB_SPHINXDOC_DOCHTMLDIR)/subdir/*.html ; do \
		sed -i -f $(DEB_SPHINXDOC_HTMLSEDDIR)/common.sed $$html ;\
	done
	cp -vpr -t $(DEB_SPHINXDOC_DOCHTMLDIR) $(CURDIR)/debian/adhoc/lintian/privacy-breach/www
	## lintian duplicate-files fix
	rdfind -outputname /dev/null -makesymlinks true $(DEB_SPHINXDOC_DOCHTMLDIR)
	symlinks -r -c -s -v $(DEB_SPHINXDOC_DOCHTMLDIR)
	## cf Debian Bug report #739300
	ln -s /usr/share/javascript/mathjax $(DEB_SPHINXDOC_DOCHTMLDIR)/_static
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_compress:
	dh_compress -Xwww

get-orig-source:
	uscan --no-conf --download-current-version --verbose


define NEWLINE


endef

## nbsphinx 0.3.1+ds

=== doc/requirements.txt ===
sphinx>=1.5.1
nbsphinx
ipykernel

=== debian/changelog ===
nbsphinx (0.3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - copyright year tuples, update;
      - Files-Excluded field, refresh;
    - debian/watch, add compression=xz option;
    - debian/control:
      - debhelp, bump to 11;
      - Standards-Version, bump to 4.1.3;
    - debian/comp, bump to 11;
    - debian/rules:
      - override_dh_sphinxdoc target, refresh PYTHONPATH ;
      - get-orig-source target, remove compression option;
    - debian/adhoc/lintian/privacy-breach/*, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jan 2018 21:11:51 +0000

nbsphinx (0.2.14+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/update-for-sphinx.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 12 Sep 2017 04:38:50 +0000

nbsphinx (0.2.14+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version (Closes: #874266).
  * Debianization:
    - debian/rules, use pkg-info.mk ;
    - debian/copyright, refresh;
    - debian/control:
      - Standards Version, bump to 4.1.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Sep 2017 05:55:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
-Build-Depends:
-Build-Depends-Indep: debhelper (>= 10),
-                     dh-python,
+Build-Depends: debhelper (>= 11),
+Build-Depends-Indep: dh-python,
                      libjs-mathjax,
                      pandoc,
                      python-all,
@@ -28,7 +27,7 @@
                      python3-sphinx,
                      rdfind,
                      symlinks
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Homepage: http://nbsphinx.rtfd.org/

## nbsphinx 0.4.1+ds

=== debian/changelog ===
nbsphinx (0.4.1+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Copyright year-tuple, refresh;
    - debian/control:
      - Depends field, harden;
      - Recommends field, introduce;
    - debian/tests/*:
      - d/t/{control,perform-doc}, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Jan 2019 10:10:09 +0000

nbsphinx (0.4.1+ds-2) unstable; urgency=medium

  * Drop Python 2 support as it is no more supported upstream.
  * Debianization:
    - Python 2 support, drop;
    - debian/control:
      - Testsuite field, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 27 Dec 2018 08:14:26 +0000

nbsphinx (0.4.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - mybinder material, refresh;
    - debian/control:
      - Standards-Version, bump to 4.3.0;
    - debian/patches/*:
      - d/p/debianization-documentation.patch, refresh;
    - debian/adhoc/lintian/privacy-breach/*:
      - d/a/l/p/common.sed , refresh;
      - d/a/l/p/www/mybinder/badge_logo.svg, import.
      - d/a/l/p/www/mybinder/badge.svg, remove;
    - debian/rules:
      - target override_dh_sphinxdoc, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Dec 2018 10:37:35 +0000

nbsphinx (0.3.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*:
      - d/p/debianization-documentation.patch , refresh;
    - debian/rules:
      - get-info target: introduce;
      - NBSPHINX_TODAY_DATETRIPLET variable, introduce (see patch);
      - override_dh_sphinxdoc target, compliance with dh 11;
    - debian/python-nbsphinx-doc.{doc-base,links}, revisit wrt dh 11.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 31 Oct 2018 02:43:46 +0000

nbsphinx (0.3.1+ds-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * d/control: Secure Homepage URL
  * d/control: Bump Standards-Version to 4.2.1 (no change)
  * d/rules: Remove get-orig-source target

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Oct 2018 07:22:05 +0000

=== debian/control ===
Source: nbsphinx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends: debhelper (>= 11),
Build-Depends-Indep: dh-python,
                     libjs-mathjax,
                     pandoc,
                     python3-all,
                     python3-docutils,
                     python3-entrypoints,
                     python3-ipykernel,
                     python3-jupyter-client,
                     python3-nbconvert,
                     python3-nbformat,
                     python3-setuptools,
                     python3-sphinx,
                     python3-sphinxcontrib.bibtex,
                     python3-matplotlib,
                     python3-numpy,
                     python3-pandas,
                     rdfind,
                     symlinks
Standards-Version: 4.3.0
Homepage: https://nbsphinx.rtfd.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/nbsphinx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/nbsphinx

Package: python3-nbsphinx
Architecture: all
Depends: python3-ipykernel, ${misc:Depends}, ${python3:Depends}
Recommends:
 python3-sphinxcontrib.bibtex,
 python3-matplotlib,
 python3-numpy,
 python3-pandas
Suggests: python-nbsphinx-doc (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- Python 3
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This package installs the library for Python 3.

Package: python-nbsphinx-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: www-browser
Enhances: python3-nbsphinx (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- doc
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=nbsphinx

export NBSPHINX_VERSION_RELEASE ?= "$(DEB_VERSION_UPSTREAM) (Debian $(DEB_VERSION))"
export NBSPHINX_TODAY_DATETRIPLET ?= "$(shell date -u -d @$(SOURCE_DATE_EPOCH) +%Y-%m-%d)"

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

DEB_SPHINXDOC_DOCHTMLDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx/html
DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b html doc $(DEB_SPHINXDOC_DOCHTMLDIR)
	## lintian privacy-breach fix
	$(foreach htmlsed,$(wildcard $(DEB_SPHINXDOC_HTMLSEDDIR)/*.html.sed), \
		sed -i -f $(htmlsed) $(DEB_SPHINXDOC_DOCHTMLDIR)/$(notdir $(patsubst %.sed,%,$(htmlsed))) $(NEWLINE)\
		)
	for html in $(DEB_SPHINXDOC_DOCHTMLDIR)/*.html $(DEB_SPHINXDOC_DOCHTMLDIR)/subdir/*.html ; do \
		sed -i -f $(DEB_SPHINXDOC_HTMLSEDDIR)/common.sed $$html ;\
	done
	cp -vpr -t $(DEB_SPHINXDOC_DOCHTMLDIR) $(CURDIR)/debian/adhoc/lintian/privacy-breach/www
	## lintian duplicate-files fix
	rm -r -f -v $(DEB_SPHINXDOC_DOCHTMLDIR)/images
	rdfind -outputname /dev/null -makesymlinks true $(DEB_SPHINXDOC_DOCHTMLDIR)
	symlinks -r -c -s -v $(DEB_SPHINXDOC_DOCHTMLDIR)
	## cf Debian Bug report #739300
	ln -s /usr/share/javascript/mathjax $(DEB_SPHINXDOC_DOCHTMLDIR)/_static
	## cf d/p/debianization-documentation.patch
	ln -r -s $(DEB_SPHINXDOC_DOCHTMLDIR)/_sources $(DEB_SPHINXDOC_DOCHTMLDIR)/doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_compress:
	dh_compress -Xwww

get-info:
	@echo "NBSPHINX_VERSION_RELEASE:   "$(NBSPHINX_VERSION_RELEASE)
	@echo "NBSPHINX_TODAY_DATETRIPLET: "$(NBSPHINX_TODAY_DATETRIPLET)


define NEWLINE


endef

## nbsphinx 0.4.2+ds

=== doc/requirements.txt ===
sphinx>=1.6
nbconvert!=5.4
ipykernel
numpy
matplotlib
pandas
sphinxcontrib-bibtex

=== debian/changelog ===
nbsphinx (0.4.2+ds-1) unstable; urgency=medium

  * New upstream version (re-establish Python 2 compatibility).
  * Debianization (idem).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 25 Jan 2019 05:53:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,21 @@
 Build-Depends-Indep: dh-python,
                      libjs-mathjax,
                      pandoc,
+                     python-all,
+                     python-docutils,
+                     python-entrypoints,
+                     python-ipykernel,
+                     python-jupyter-client,
+                     python-nbconvert (>=5.4-2),
+                     python-nbformat,
+                     python-setuptools,
+                     python-sphinx,
                      python3-all,
                      python3-docutils,
                      python3-entrypoints,
                      python3-ipykernel,
                      python3-jupyter-client,
-                     python3-nbconvert,
+                     python3-nbconvert (>=5.4-2),
                      python3-nbformat,
                      python3-setuptools,
                      python3-sphinx,
@@ -26,6 +35,19 @@
 Homepage: https://nbsphinx.rtfd.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/nbsphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/nbsphinx
+
+Package: python-nbsphinx
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}
+Suggests: python-nbsphinx-doc (= ${source:Version})
+Description: Jupyter Notebook Tools for Sphinx -- Python
+ nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
+ files. Custom Sphinx directives are used to show Jupyter Notebook code cells
+ (and of course their results) in both HTML and LaTeX output.
+ Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
+ automatically executed during the Sphinx build process.
+ .
+ This package installs the library for Python 2.
 
 Package: python3-nbsphinx
 Architecture: all
@@ -50,7 +72,7 @@
 Architecture: all
 Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: www-browser
-Enhances: python3-nbsphinx (= ${source:Version})
+Enhances: python-nbsphinx (= ${source:Version}), python3-nbsphinx (= ${source:Version})
 Description: Jupyter Notebook Tools for Sphinx -- doc
  nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
  files. Custom Sphinx directives are used to show Jupyter Notebook code cells

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 DEB_SPHINXDOC_DOCHTMLDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx/html
 DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach

=== debian/tests/control ===
Tests: perform-doc
Depends:
 pandoc,
 python3-nbsphinx,
 python3-sphinxcontrib.bibtex,
 python3-matplotlib,
 python3-numpy,
 python3-pandas,
 texlive-fonts-recommended,
 texlive-latex-recommended,
 texlive-latex-extra,
 latexmk
Restrictions: allow-stderr

## nbsphinx 0.4.3+ds

=== doc/requirements.txt ===
ipykernel
numpy
matplotlib
pandas
sphinxcontrib-bibtex
sphinxcontrib-svg2pdfconverter

=== debian/changelog ===
nbsphinx (0.4.3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards-Version, bum  to version 4.4.1 (no change);
      - Build-Depends-Indep field, update;
    - debian/patches/*:
      - d/p/upstream-missing-references_bib.patch, introduce;
      - d/p/319.patch, no mmore needed;
      - d/p/debianization-documentation.patch, refresh;
    - debian/rules:
      - override_dh_sphinxdoc target, add LaTeX support;
    - debian/adhoc/*, refresh;
    - debian/tests/*:
      - d/t/control, dependencies, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Oct 2019 10:42:21 +0000

nbsphinx (0.4.2+ds-3) unstable; urgency=medium

  * Debianization:
    - Python 2 removal (Closes: #939492);
    - debian/adhoc/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 27 Sep 2019 15:03:39 +0000

nbsphinx (0.4.2+ds-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Gianfranco Costamagna ]
  * Team upload
  * debian/patches/319.patch:
    - upstream fix for the svg->png conversion failure with new pandoc
    https://github.com/spatialaudio/nbsphinx/issues/317
  * Add new package svg2pdfconverter to finally fix the latex images
    Closes: #939492

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 17:49:38 +0200

=== debian/control ===
Source: nbsphinx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
Build-Depends-Indep: dh-python,
                     node-requirejs,
                     libjs-mathjax,
                     pandoc,
                     python3-all,
                     python3-docutils,
                     python3-entrypoints,
                     python3-ipykernel,
                     python3-jupyter-client,
                     python3-nbconvert (>=5.4-2),
                     python3-nbformat,
                     python3-setuptools,
                     python3-sphinx,
                     python3-sphinxcontrib.svg2pdfconverter,
                     python3-sphinxcontrib.bibtex,
                     python3-matplotlib,
                     python3-numpy,
                     python3-pandas,
                     rdfind,
                     symlinks,
                     texlive-fonts-recommended,
                     texlive-latex-recommended,
                     texlive-latex-extra,
                     latexmk
Standards-Version: 4.4.1
Homepage: https://nbsphinx.rtfd.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/nbsphinx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/nbsphinx

Package: python3-nbsphinx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-nbsphinx-doc (= ${source:Version})
Recommends:
 python3-sphinxcontrib.bibtex,
 python3-matplotlib,
 python3-numpy,
 python3-pandas
Description: Jupyter Notebook Tools for Sphinx -- Python 3
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This package installs the library for Python 3.

Package: python-nbsphinx-doc
Section: doc
Architecture: all
Depends: node-requirejs, libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: www-browser
Enhances: python3-nbsphinx (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- doc
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,16 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-DEB_SPHINXDOC_DOCHTMLDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx/html
+DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx
+DEB_SPHINXDOC_DOCHTMLDIR=$(DEB_SPHINXDOC_DOCDIR)/html
 DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b html doc $(DEB_SPHINXDOC_DOCHTMLDIR)
+	PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b latex doc _build/doc-latex
+	make -C _build/doc-latex all-pdf
 	## lintian privacy-breach fix
 	$(foreach htmlsed,$(wildcard $(DEB_SPHINXDOC_HTMLSEDDIR)/*.html.sed), \
 		sed -i -f $(htmlsed) $(DEB_SPHINXDOC_DOCHTMLDIR)/$(notdir $(patsubst %.sed,%,$(htmlsed))) $(NEWLINE)\
@@ -34,10 +37,11 @@
 	## cf d/p/debianization-documentation.patch
 	ln -r -s $(DEB_SPHINXDOC_DOCHTMLDIR)/_sources $(DEB_SPHINXDOC_DOCHTMLDIR)/doc
 	dh_sphinxdoc -O--buildsystem=pybuild
+	cp -vpr -t $(DEB_SPHINXDOC_DOCDIR) _build/doc-latex/nbsphinx.pdf
 endif
 
 override_dh_compress:
-	dh_compress -Xwww
+	dh_compress -Xwww -Xnbsphinx.pdf
 
 get-info:
 	@echo "NBSPHINX_VERSION_RELEASE:   "$(NBSPHINX_VERSION_RELEASE)

=== debian/tests/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Tests: perform-doc
 Depends:
  pandoc,
+ python3-ipykernel,
  python3-nbsphinx,
  python3-sphinxcontrib.bibtex,
+ python3-sphinxcontrib.svg2pdfconverter,
  python3-matplotlib,
  python3-numpy,
  python3-pandas,

## nbsphinx 0.8.0%2Bds

=== debian/changelog ===
nbsphinx (0.8.0+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jerome Benoit ]
  * New upstream minor version.
  * Debianization: WIP: depends on recent version of python3-ipywidgets
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - debhelper, bump to version 13 (no change);
      - Standards-Version, bump to version 4.5.1 (no change);
      - Build-Depends-Indep, update;
      - python-nbsphinx-doc, Built-Using field, introduce;
    - d/rules:
      - NBSPHINX_VERSION_RELEASE variable, harden;
    - d/patches/*:
      - d/p/upstream-missing-references_bib.patch , obsoleted;
      - d/p/debianization-documentation.patch:
        - doc/conf.py, nbsphinx_allow_errors set to True (Closes: #964204);
        - refresh;
    - d/tests/control, refresh;
    - d/{python3-nbsphinx,python-nbsphinx-doc}.lintian-overrides, discard
      (no-upstream-changelog tag now unknown).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Dec 2020 14:31:40 +0000

## nbsphinx 0.8.0+ds

=== doc/requirements.txt ===
ipykernel
numpy
matplotlib
pandas
sphinxcontrib-bibtex
sphinxcontrib-svg2pdfconverter
ipywidgets
sphinx-copybutton
sphinx-gallery
jupytext
sphinx-last-updated-by-git

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: nbsphinx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-python,
                      node-requirejs,
                      libjs-mathjax,
@@ -16,8 +16,11 @@
                      python3-jupyter-client,
                      python3-nbconvert (>=5.4-2),
                      python3-nbformat,
+                     python3-ipywidgets,
                      python3-setuptools,
                      python3-sphinx,
+                     python3-sphinx-copybutton,
+                     python3-sphinx-gallery,
                      python3-sphinxcontrib.svg2pdfconverter,
                      python3-sphinxcontrib.bibtex,
                      python3-matplotlib,
@@ -26,13 +29,15 @@
                      rdfind,
                      symlinks,
                      texlive-fonts-recommended,
+                     texlive-fonts-extra,
                      texlive-latex-recommended,
                      texlive-latex-extra,
+                     lmodern,
                      latexmk
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://nbsphinx.rtfd.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/nbsphinx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/nbsphinx
+Vcs-Git: https://salsa.debian.org/python-team/packages/nbsphinx.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/nbsphinx
 
 Package: python3-nbsphinx
 Architecture: all
@@ -55,6 +60,7 @@
 Package: python-nbsphinx-doc
 Section: doc
 Architecture: all
+Built-Using: ${sphinxdoc:Built-Using}
 Depends: node-requirejs, libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: www-browser
 Enhances: python3-nbsphinx (= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export PYBUILD_NAME=nbsphinx
 
-export NBSPHINX_VERSION_RELEASE ?= "$(DEB_VERSION_UPSTREAM) (Debian $(DEB_VERSION))"
+export NBSPHINX_VERSION_RELEASE ?= "$(firstword $(subst +, ,$(DEB_VERSION_UPSTREAM))) (Debian $(DEB_VERSION))"
 export NBSPHINX_TODAY_DATETRIPLET ?= "$(shell date -u -d @$(SOURCE_DATE_EPOCH) +%Y-%m-%d)"
 
 default:

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,8 @@
  pandoc,
  python3-ipykernel,
  python3-nbsphinx,
+ python3-sphinx-copybutton,
+ python3-sphinx-gallery,
  python3-sphinxcontrib.bibtex,
  python3-sphinxcontrib.svg2pdfconverter,
  python3-matplotlib,

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nbsphinx/nbsphinx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nbsphinx 0.8.7%2Bds

=== .binder/requirements.txt ===
matplotlib
pandas
ipywidgets
jupytext
jupyterlab>=3

## nbsphinx 0.8.7+ds

=== doc/requirements.txt ===
ipykernel
numpy
matplotlib
pandas
sphinxcontrib-bibtex>=2.1
sphinxcontrib-svg2pdfconverter
ipywidgets
sphinx-gallery
jupytext
sphinx-last-updated-by-git

=== debian/changelog ===
nbsphinx (0.8.7+ds-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Dmitry Shachnev ]
  * New upstream release.
    - Compatible with Jinja2 3.0 (closes: #995299).
  * Remove python3-sphinx-copybutton dependency, no longer needed.
  * Bump required python3-sphinxcontrib.bibtex version to 2.1.
  * Refresh debian/patches/debianization-documentation.patch.
  * Add a patch to remove documentation pages that need jupytext.
  * Build-depend on tex-gyre, needed to build PDF with Sphinx 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 Oct 2021 13:20:08 +0300

=== debian/control ===
--- 
+++ 
@@ -19,15 +19,15 @@
                      python3-ipywidgets,
                      python3-setuptools,
                      python3-sphinx,
-                     python3-sphinx-copybutton,
                      python3-sphinx-gallery,
                      python3-sphinxcontrib.svg2pdfconverter,
-                     python3-sphinxcontrib.bibtex,
+                     python3-sphinxcontrib.bibtex (>= 2.1),
                      python3-matplotlib,
                      python3-numpy,
                      python3-pandas,
                      rdfind,
                      symlinks,
+                     tex-gyre,
                      texlive-fonts-recommended,
                      texlive-fonts-extra,
                      texlive-latex-recommended,

## nbsphinx 0.8.10+ds

=== debian/changelog ===
nbsphinx (0.8.10+ds-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * d/control: append ":any" to python build-dep to facilitate cross-
    building
  * d/u/metadata: Removed 'Homepage' and 'watch' redundant fields
  * Standards-Version: 4.6.0 (routine-update)
  * d/control: reformat using `cme fix dpkg-control` (routine-update)
  * Add salsa-ci file (routine-update)
  * Standards-Version: 4.6.1 (routine-update)
  * Freshen patches
  * Added patch to skip codeautolink, as it is not yet packaged for Debian

  [ Dmitry Shachnev ]
  * New upstream release (0.8.10).
  * Remove examples that use ipywidgets (closes: #1007847).
    The current version of ipywidgets in Debian is too old.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Dec 2022 13:59:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: nbsphinx
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Jerome Benoit <calculus@rezozer.net>
-Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python,
                      node-requirejs,
                      libjs-mathjax,
                      pandoc,
-                     python3-all,
+                     python3-all:any,
                      python3-docutils,
                      python3-entrypoints,
                      python3-ipykernel,
                      python3-jupyter-client,
-                     python3-nbconvert (>=5.4-2),
+                     python3-nbconvert,
                      python3-nbformat,
                      python3-ipywidgets,
                      python3-setuptools,
@@ -34,20 +33,21 @@
                      texlive-latex-extra,
                      lmodern,
                      latexmk
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/nbsphinx
+Vcs-Git: https://salsa.debian.org/python-team/packages/nbsphinx.git
 Homepage: https://nbsphinx.rtfd.org/
-Vcs-Git: https://salsa.debian.org/python-team/packages/nbsphinx.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/nbsphinx
+Rules-Requires-Root: no
 
 Package: python3-nbsphinx
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
+Recommends: python3-sphinxcontrib.bibtex,
+            python3-matplotlib,
+            python3-numpy,
+            python3-pandas
 Suggests: python-nbsphinx-doc (= ${source:Version})
-Recommends:
- python3-sphinxcontrib.bibtex,
- python3-matplotlib,
- python3-numpy,
- python3-pandas
 Description: Jupyter Notebook Tools for Sphinx -- Python 3
  nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
  files. Custom Sphinx directives are used to show Jupyter Notebook code cells
@@ -58,12 +58,15 @@
  This package installs the library for Python 3.
 
 Package: python-nbsphinx-doc
+Architecture: all
 Section: doc
-Architecture: all
-Built-Using: ${sphinxdoc:Built-Using}
-Depends: node-requirejs, libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: node-requirejs,
+         libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Suggests: www-browser
 Enhances: python3-nbsphinx (= ${source:Version})
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Jupyter Notebook Tools for Sphinx -- doc
  nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
  files. Custom Sphinx directives are used to show Jupyter Notebook code cells

## nbsphinx 0.8.11+ds

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 ipykernel
+ipython!=8.7.0  # see https://github.com/spatialaudio/nbsphinx/issues/687
 numpy
 matplotlib
 pandas
@@ -8,3 +9,4 @@
 sphinx-gallery
 jupytext
 sphinx-last-updated-by-git
+sphinx-codeautolink

=== debian/changelog ===
nbsphinx (0.8.11+ds-1) unstable; urgency=medium

  * Team upload.
  * Added patch to improve reproduciblity of the docs.
    There is much more to fix, however. See
    https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/diffoscope-results/nbsphinx.html
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 15 Jan 2023 15:41:02 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                      texlive-latex-extra,
                      lmodern,
                      latexmk
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nbsphinx
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbsphinx.git
 Homepage: https://nbsphinx.rtfd.org/
@@ -67,6 +67,7 @@
 Suggests: www-browser
 Enhances: python3-nbsphinx (= ${source:Version})
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: Jupyter Notebook Tools for Sphinx -- doc
  nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
  files. Custom Sphinx directives are used to show Jupyter Notebook code cells

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=nbsphinx

export NBSPHINX_VERSION_RELEASE ?= "$(firstword $(subst +, ,$(DEB_VERSION_UPSTREAM))) (Debian $(DEB_VERSION))"
export NBSPHINX_TODAY_DATETRIPLET ?= "$(shell date -u -d @$(SOURCE_DATE_EPOCH) +%Y-%m-%d)"

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx
DEB_SPHINXDOC_DOCHTMLDIR=$(DEB_SPHINXDOC_DOCDIR)/html
DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach
override_dh_sphinxdoc:

override_dh_compress:
	dh_compress -Xwww -Xnbsphinx.pdf

get-info:
	@echo "NBSPHINX_VERSION_RELEASE:   "$(NBSPHINX_VERSION_RELEASE)
	@echo "NBSPHINX_TODAY_DATETRIPLET: "$(NBSPHINX_TODAY_DATETRIPLET)


define NEWLINE


endef

## nbsphinx 0.9.4+ds

=== debian/changelog ===
nbsphinx (0.9.4+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 18:58:14 +0200

nbsphinx (0.9.4+ds-1~0exp0) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refreshed patches.
  * Removed unused build-dep on ipywidgets
  * Added patch to set intersphinx links to Debian packaged documentation.
  * stop building the PDF during the build or autopkgtests due to
    'Package fontspec Error: The font "TeXGyrePagella" cannot be found.'

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 13:06:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: dh-python,
+Build-Depends-Indep: dh-sequence-python3,
+                     pybuild-plugin-pyproject,
                      node-requirejs,
                      libjs-mathjax,
                      pandoc,
                      python3-all:any,
+                     python3-doc <!nodoc>,
                      python3-docutils,
                      python3-entrypoints,
                      python3-ipykernel,
+                     python-ipython-doc <!nodoc>,
                      python3-jupyter-client,
                      python3-nbconvert,
                      python3-nbformat,
-                     python3-ipywidgets,
                      python3-setuptools,
                      python3-sphinx,
                      python3-sphinx-gallery,
@@ -24,15 +26,17 @@
                      python3-matplotlib,
                      python3-numpy,
                      python3-pandas,
+                     python-pandas-doc <!nodoc>,
                      rdfind,
                      symlinks,
-                     tex-gyre,
-                     texlive-fonts-recommended,
-                     texlive-fonts-extra,
-                     texlive-latex-recommended,
-                     texlive-latex-extra,
-                     lmodern,
-                     latexmk
+# tex-gyre <!nodoc>,
+# texlive-fonts-recommended <!nodoc>,
+# texlive-fonts-extra <!nodoc>,
+# texlive-latex-recommended <!nodoc>,
+# texlive-latex-extra <!nodoc>,
+# lmodern <!nodoc>,
+# latexmk <!nodoc>,
+# python3-ipywidgets <!nodoc>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nbsphinx
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbsphinx.git

## nbsphinx 0.9.5+ds

=== doc/requirements.txt ===
ipykernel
numpy
matplotlib
ipympl
pandas
# setuptools seems to be needed for pybtex, see
# https://github.com/mcmtroffaes/sphinxcontrib-bibtex/issues/345:
setuptools
sphinxcontrib-bibtex>=2.1
sphinxcontrib-svg2pdfconverter
ipywidgets
jupytext
sphinx-last-updated-by-git
sphinx-codeautolink

=== debian/changelog ===
nbsphinx (0.9.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Clean better (Closes: #1045455)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Nov 2024 18:52:14 +0100

nbsphinx (0.9.4+ds-1.1) unstable; urgency=medium

  * Team upload.
  * Remove stale dependency on deprecated python3-entrypoints

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 22:06:01 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                      python3-all:any,
                      python3-doc <!nodoc>,
                      python3-docutils,
-                     python3-entrypoints,
                      python3-ipykernel,
                      python-ipython-doc <!nodoc>,
                      python3-jupyter-client,

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,38 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-nbsphinx-doc/usr/share/doc/python-nbsphinx
 DEB_SPHINXDOC_DOCHTMLDIR=$(DEB_SPHINXDOC_DOCDIR)/html
 DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach
 override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b html doc $(DEB_SPHINXDOC_DOCHTMLDIR)
+	#PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b latex doc _build/doc-latex
+	#make -C _build/doc-latex all-pdf
+	## lintian privacy-breach fix
+	$(foreach htmlsed,$(wildcard $(DEB_SPHINXDOC_HTMLSEDDIR)/*.html.sed), \
+		sed -i -f $(htmlsed) $(DEB_SPHINXDOC_DOCHTMLDIR)/$(notdir $(patsubst %.sed,%,$(htmlsed))) $(NEWLINE)\
+		)
+	for html in $(DEB_SPHINXDOC_DOCHTMLDIR)/*.html $(DEB_SPHINXDOC_DOCHTMLDIR)/subdir/*.html ; do \
+		sed -i -f $(DEB_SPHINXDOC_HTMLSEDDIR)/common.sed $$html ;\
+	done
+	cp -vpr -t $(DEB_SPHINXDOC_DOCHTMLDIR) $(CURDIR)/debian/adhoc/lintian/privacy-breach/www
+	## lintian duplicate-files fix
+	rm -r -f -v $(DEB_SPHINXDOC_DOCHTMLDIR)/images
+	rdfind -outputname /dev/null -makesymlinks true $(DEB_SPHINXDOC_DOCHTMLDIR)
+	symlinks -r -c -s -v $(DEB_SPHINXDOC_DOCHTMLDIR)
+	## cf Debian Bug report #739300
+	ln -s /usr/share/javascript/mathjax $(DEB_SPHINXDOC_DOCHTMLDIR)/_static
+	## cf d/p/debianization-documentation.patch
+	ln -r -s $(DEB_SPHINXDOC_DOCHTMLDIR)/_sources $(DEB_SPHINXDOC_DOCHTMLDIR)/doc
+	dh_sphinxdoc -O--buildsystem=pybuild
+	#cp -vpr -t $(DEB_SPHINXDOC_DOCDIR) _build/doc-latex/nbsphinx.pdf
+endif
 
-override_dh_compress:
-	dh_compress -Xwww -Xnbsphinx.pdf
+#override_dh_compress:
+#	dh_compress -Xwww -Xnbsphinx.pdf
 
 get-info:
 	@echo "NBSPHINX_VERSION_RELEASE:   "$(NBSPHINX_VERSION_RELEASE)

=== debian/tests/control ===
Tests: perform-doc
Depends:
 pandoc,
 python3-ipykernel,
 python3-nbsphinx,
 python3-sphinx-gallery,
 python3-sphinxcontrib.bibtex (>= 2.1),
 python3-sphinxcontrib.svg2pdfconverter,
 python3-matplotlib,
 python3-numpy,
 python3-pandas,
 tex-gyre,
 texlive-fonts-recommended,
 texlive-latex-recommended,
 texlive-latex-extra,
 latexmk
Restrictions: allow-stderr
